/*
# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  
*/

/*=========================================================================                                                                               
Program:   bbtk
Module:    $RCSfile$
Language:  C++
Date:      $Date$
Version:   $Revision$
=========================================================================*/

/* ---------------------------------------------------------------------

* Copyright (c) CREATIS-LRMN (Centre de Recherche en Imagerie Medicale)
* Authors : Eduardo Davila, Laurent Guigues, Jean-Pierre Roux
*
*  This software is governed by the CeCILL-B license under French law and 
*  abiding by the rules of distribution of free software. You can  use, 
*  modify and/ or redistribute the software under the terms of the CeCILL-B 
*  license as circulated by CEA, CNRS and INRIA at the following URL 
*  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
*  or in the file LICENSE.txt.
*
*  As a counterpart to the access to the source code and  rights to copy,
*  modify and redistribute granted by the license, users are provided only
*  with a limited warranty  and the software's author,  the holder of the
*  economic rights,  and the successive licensors  have only  limited
*  liability. 
*
*  The fact that you are presently reading this means that you have had
*  knowledge of the CeCILL-B license and that you accept its terms.
* ------------------------------------------------------------------------ */                                                                         

/****
* Design and Developpement of BBTK GEditor
* Ricardo A Corredor J <ra.corredor67@uniandes.edu.co>
* RaC - 2010
****/

#include "GComplexBoxPortModel.h"

namespace bbtk
{
	//=========================================================================

	GComplexBoxPortModel::GComplexBoxPortModel()
	{		
	}

	//=========================================================================

	GComplexBoxPortModel::~GComplexBoxPortModel()
	{
	}

	//=========================================================================

	void GComplexBoxPortModel::setInicPoint(double& x, double& y, double& z)
	{
		GObjectModel::setInicPoint(x,y,z);

		double xFin=x+COMPLEXPORT_WIDTH,yFin=y-COMPLEXPORT_HEIGHT;
		setFinalPoint(xFin,yFin,z);
	}
	
	//=========================================================================	

	std::string GComplexBoxPortModel::getStatusText()
	{
		std::string temp = "";
		temp+=_bbtkName;
		
		return temp;
	}

	//=========================================================================

	void GComplexBoxPortModel::save(std::string &content)
	{
		content+="COMPLEX_PORT\n";
		// Box info
		content+=_bbtkName;
		content+="\n";
		
		//Box Position
		char buffer [50];
		sprintf (buffer, "%f", _xInic);
		content+=buffer;
		content+=":";
		sprintf (buffer, "%f", _yInic);
		content+=buffer;
		content+=":";
		sprintf (buffer, "%f", _zInic);
		content+=buffer;
		content+="\n";

		content+="FIN_COMPLEX_PORT\n";

	}
	
	//=========================================================================

	int GComplexBoxPortModel::getComplexPortType()
	{
		return _complexPortType;
	}

	//=========================================================================
	
	void GComplexBoxPortModel::setComplexPortType(int pType)
	{
		_complexPortType=pType;
	}

	//=========================================================================

}  // EO namespace bbtk

// EOF

